import request from '@/apps/mobile/utils/request'

// 系统/企业模板 分页查询
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceSets/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceSets/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/maintenanceSets/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/maintenanceSets/update',
        data,
    });
}

// 批量启用
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceSets/useBath',
        data,
    });
}

// 批量关闭
export function noUseBath(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceSets/noUseBath',
        data,
    });
}